function Reset()
{
  TargetInterface.setICEBreakerBreakpoint(0, 0x00000000, 0xFFFFFFFF, 0x00000000, 0xFFFFFFFF, 0x100, 0xF7);
  TargetInterface.waitForDebugState(1000);
  TargetInterface.trst();
}

function SRAMReset()
{
  Reset();
  TargetInterface.pokeByte(0xFFFF0220, 1); // REMAP - Map SRAM to 0x00000000
}

function FLASHReset()
{
  Reset();
  TargetInterface.pokeByte(0xFFFF0220, 0); // REMAP - Map FLASH to 0x00000000
}


